<?php
	### Klassen laden ###
	require 'tmp/sql.php';
	require 'classes/mysql.php';
	
	$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
	
	require 'plugins/phpQuery.php';
	require 'classes/settings.php';
	require 'classes/security.php';
	require 'classes/functions.php';
	require 'classes/template.php';
	require 'classes/player.php';
	require 'classes/stats.php';
	
	
	$func     = new Functions();
	$secure   = new Security();
	$settings = new Settings();
	$tpl      = new Templates();
	$tpl->load_phrases("overview", true);
	$tpl->load_phrases("detail", true);
	$tpl->load_phrases("assignments", true);
	
	$playerid = (int)$_GET['pid'];
	$path     = ($settings->get("cms") == "standalone") ? "" : $settings->get("path");
	date_default_timezone_set($settings->get("timezone"));
	
	
	if ($playerid) {
		$stats = new Stats($playerid);
		$ranking = $stats->get('ranking');
		
		function create_ranking_info($name_of_ranking, $displayed_value) {
			// Die Funktion erstellt den HTML-Code fr die Globales-Ranking-Informationen
			global $ranking, $tpl, $stats;
			$data = $ranking[$name_of_ranking];
			
			if (is_object($data) AND $data->r) {
				$type    = $tpl->phrase($name_of_ranking);
				$rank    = $stats->form($data->r, Array('number', 0));
				$count   = $stats->form($data->c, Array('number', 0));
				$value   = is_int($data->v) ? $stats->form($data->v, Array('number', 0)) : $stats->form($data->v, Array('number', 2));
				$percent = $stats->form($data->r, Array('ratio', $data->c, 0, '%'));
				eval ("\$info = \"".$tpl->template("detail_ranking_info")."\";");
				
				if      ($percent["raw"] >= 0.8) { $pos = 12; }
				else if ($percent["raw"] >= 0.6) { $pos = 24; }
				else if ($percent["raw"] >= 0.4) { $pos = 36; }
				else if ($percent["raw"] >= 0.2) { $pos = 48; }
				else                             { $pos = 60; }
				
				return '<div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div><span info="'.$info.'">'.$displayed_value.'</span>';
			} else return $displayed_value;
		}
		
		
		### ALLGEMEIN ###
		if (true) {
			// Topbar
			$country = $stats->get('player', 'country', Array('deficon', 'country'));
			$country = '<span info="'.$country['tip'].'">'.$country['format'].'</td>';
			$name    = $stats->get('player', 'name');
			
			// Rankinfo
			$rankicon = $stats->get('player', 'rank', Array('rankicon', 'rank', 'medium'));
			$rankinfo = $stats->get('player', 'rank', Array('rankicon', 'progress_detail'));
			
			// Kit-Image
			$result   = $stats->format('kits', 'favs');
			$kittip   = $result['tip'];
			$kitimage = $path.'stylesheets/images/kits/'.strtolower($result['raw']).'.png';
			
			// Template-Ausgabe
			eval ("\$tpl_detail = \"".$tpl->template("detail")."\";");  $tpl_detail = phpQuery::newDocumentHTML($tpl_detail);
		}
		
		
		### KITS ###
		if (true) {
			// Allgemeine Stats
			$time		= $stats->get('global', 'time', Array('time', 0, 'date'));
			$spm		= $stats->get('scores', 'score', Array('ratio', ($stats->get('global', 'time')) / 60, 0, '', 'spm'));		$spm_rank = create_ranking_info("spm", $spm['format']);
			$skill		= $stats->get('global', 'elo', Array('number', 0, "", "skill"));											$skill_rank = create_ranking_info("elo", $skill['format']);
			$rounds		= $stats->get('global', 'rounds', Array('number', 0));														$rounds_rank = create_ranking_info("roundsplayed", $rounds['format']);
			$frounds	= $stats->get('global', 'elo_games', Array('number', 0));
			$quits		= $stats->form(($rounds['raw']-$frounds['raw'])/$rounds['raw'], Array('number', 0, "%"));					$quits_rank = create_ranking_info("roundsfinishedperc", $quits['format']);
			$wins 		= $stats->get('global', 'wins', Array('number', 0, "", "wins"));
			$loss 		= $stats->get('global', 'losses', Array('number', 0, "", "loss"));
			$wlr 		= $stats->get('global', 'wins', Array('ratio', ($stats->get('global', 'losses')), 2, '', 'wlr'));			$wlr_rank = create_ranking_info("wlr", $wlr['format']);
			$wlr_color	= ($wlr['raw'] >= 1) ? "positive" : "negative";
			
			eval ("\$tpl_kits = \"".$tpl->template("detail_kits")."\";");  $tpl_kits = phpQuery::newDocumentHTML($tpl_kits);
			
			// Zuletzt Online
			$last = $stats->get('player', 'date_lastseen');
			$srv  = $stats->get('player', 'srv');
			if ($last AND is_object($srv)) {
				$date_time = date("d.m.Y - H:i", $last);
				$srvname   = $func->shortening($srv->name, 40);
				
				eval ("\$tpl_kits_online = \"".$tpl->template("detail_kits_lastonline")."\";");
				$detail_kits_lastonline = phpQuery::newDocumentHTML($tpl_kits_online);
				
				phpQuery::selectDocument($tpl_kits);
				pq('[name=kitgeneral]')->append($detail_kits_lastonline);
			}
			
			// Kit Stats
			$kits = $stats->get('kits');
			$time_sum = 0;
			$kit_score = 0;
			
			
			foreach ($kits as $kit) { // Ermitteln der Gesamtspielzeit mit allen Kits, sowie der Gesamtpunktzahl
				if (isset($kit->score)) {
					$time_sum = $time_sum + $kit->time; 
					$kit_score = $kit_score + $kit->score;
				}
			}
			
			foreach ($kits as $kit) { // Erstellen des HTML-Codes fr die Kits
				if (isset($kit->score)) {
					/* Allgemein */
					$score		= $stats->form($kit->score, Array('number', 0, "", "score"));
					$time 		= $stats->form($kit->time, Array('time', 0, 'date'));
					$kitimage 	= $path.'stylesheets/images/'.$kit->img_bk;
					
					/* Servicestars */
					$count = $kit->star->count;
					$starimage = $count ? $path.'stylesheets/images/misc/servicestar.png' : $path.'stylesheets/images/misc/servicestar_trans.png';
					$points = $kit->star->needed - $kit->star->curr;
					$tip = $tpl->phrase('star_desc_score'); eval ( "\$tip = \"$tip\";" );
					
					/* Tooltipps */
					$value = $stats->form($kit->time, Array('ratio', $time_sum, 0, "%")); $value = $value['format']; 
					$tip_time = $tpl->phrase('kit_time'); eval ( "\$tip_time = \"$tip_time\";" );
					
					$tip_spm = $stats->form($kit->score, Array('ratio',($kit->time / 60), 0, "")); $tip_spm = $tip_spm['format'];
					
					$time_us = $stats->form($kit->timeu, Array('ratio', $kit->time, 0, "%")); $time_us = $time_us['format'];
					$time_ru = $stats->form($kit->timer, Array('ratio', $kit->time, 0, "%")); $time_ru = $time_ru['format'];
					$tip_side = $tpl->phrase('kit_side'); eval ( "\$tip_side = \"$tip_side\";" );
					
					eval ("\$kitdetail = \"".$tpl->template("detail_kits_detail")."\";");
					pq('[name=kitdetail]')->append($kitdetail);
				}
			}
		}
		
		
		### SCORES ###
		if (true) {
			$kit_score			= $stats->format($kit_score, Array('number', 0));
			$vehicle_score		= $stats->get('scores', 'vehicleall', Array('number', 0));					$vehicle_score_rank = create_ranking_info("vehiclescorepvm", $vehicle_score['format']);
			$award_score		= $stats->get('scores', 'award', Array('number', 0));
			$unlock_score		= $stats->get('scores', 'unlock', Array('number', 0));
			$overall_score		= $stats->get('scores', 'score', Array('number', 0));						$overall_score_rank = create_ranking_info("score", $overall_score['format']);
			
			$bonus_score		= $stats->get('scores', 'bonus', Array('number', 0));
			$objective_score	= $stats->get('scores', 'objective', Array('number', 0));					$objective_score_rank = create_ranking_info("ospm", $objective_score['format']);
			$squad_score		= $stats->get('scores', 'squad', Array('number', 0));
			$team_score			= $stats->get('scores', 'team', Array('number', 0));
			
			$revives			= $stats->get('global', 'revives', Array('number', 0));						$revives_rank = create_ranking_info("revivespam", $revives['format']);
			$resupplies			= $stats->get('global', 'resupplies', Array('number', 0));					$resupplies_rank = create_ranking_info("resuppliespsm", $resupplies['format']);
			$heals				= $stats->get('global', 'heals', Array('number', 0));						$heals_rank = create_ranking_info("healspam", $heals['format']);
			$repairs			= $stats->get('global', 'repairs', Array('number', 0));						$repairs_rank = create_ranking_info("repairspem", $repairs['format']);
			$mcomdest			= $stats->get('global', 'mcomdest', Array('number', 0));
			$mcomdefkills		= $stats->get('global', 'mcomdefkills', Array('number', 0));
			$flagcaps			= $stats->get('global', 'flagcaps', Array('number', 0));
			$flagdef			= $stats->get('global', 'flagdef', Array('number', 0));
			
			$kills				= $stats->get('global', 'kills', Array('number', 0));						$kills_rank = create_ranking_info("kpm", $kills['format']);
			$deaths				= $stats->get('global', 'deaths', Array('number', 0));
			$kdr				= $stats->form($kills['raw'], Array('ratio', $deaths['raw'], 2, ''));		$kdr_rank = create_ranking_info("kdr", $kdr['format']);
			$kdr_color			= ($kdr['raw'] >= 1) ? "positive" : "negative";
			$vehicledestroyed	= $stats->get('global', 'vehicledestroyed', Array('number', 0));			$vehicledestroyed_rank = create_ranking_info("disvehpr", $vehicledestroyed['format']);
			$saviorkills		= $stats->get('global', 'saviorkills', Array('number', 0));					$saviorkills_rank = create_ranking_info("saviorkills", $saviorkills['format']);
			$avengerkills		= $stats->get('global', 'avengerkills', Array('number', 0));				$avengerkills_rank = create_ranking_info("avengerkills", $avengerkills['format']);
			$nemesiskills		= $stats->get('global', 'nemesiskills', Array('number', 0));
			$nemesisstreak		= $stats->get('global', 'nemesisstreak', Array('number', 0));
			$killstreakbonus	= $stats->get('global', 'killstreakbonus', Array('number', 0));
			$dogtags			= $stats->get('global', 'dogtags',  Array('number', 0));					$dogtags_rank = create_ranking_info("dogtagkillperc", $dogtags['format']);
			
			$shots				= $stats->get('global', 'shots', Array('number', 0));						$shots_rank = create_ranking_info("shotspermin", $shots['format']);
			$hits				= $stats->get('global', 'hits', Array('number', 0));
			$accuracy			= $stats->form($hits['raw'], Array('ratio', $shots['raw'], 1, '%'));
			$headshots			= $stats->get('global', 'headshots', Array('number', 0));
			$hskillperc			= $stats->form($headshots['raw'], Array('ratio', $kills['raw'], 1, '%'));	$hskillperc_rank = create_ranking_info("hskillperc", $hskillperc['format']);
			$longesths			= $stats->get('global', 'longesths', Array('number', 0));					$longesths_rank = create_ranking_info("headshdist", $longesths['format']);
			$longesthandhs		= $stats->get('global', 'longesthandhs', Array('number', 0));
			$killassists		= $stats->get('global', 'killassists', Array('number', 0));					$killassists_rank = create_ranking_info("kassistsperc", $killassists['format']);
			$destroyassist		= $stats->get('global', 'vehicledestroyassist', Array('number', 0));
			$suppression		= $stats->get('global', 'suppression', Array('number', 0));					$suppression_rank = create_ranking_info("suppressionperc", $suppression['format']);
			$killstreakbonus	= $stats->get('global', 'killstreakbonus', Array('number', 0));
			
			
			
			eval ("\$tpl_scores = \"".$tpl->template("detail_scores")."\";");  $tpl_scores = phpQuery::newDocumentHTML($tpl_scores);
		}
		
		
		### WEAPONS ###
		if (true) {
			$top = Array("favourite" => Array(), "deadliest" => Array(), "accurate" => Array(), "dangerous" => Array()); // Array fr Top-Weapon-bersicht
			$disallowed = Array("AA Launchers", "Pistols", "AT Launchers", "Special", "Underslungs", "Weapons All", "Handheld weapons", "Launchers"); // Waffen-Kategorien, die nicht fr die Top-Weapon-bersicht bercksichtigt werden
			$ssprogress = Array("curr" => 0, "needed" => 0); // Array fr die Anzeige, wieviele Primr-Waffen einen Servicestar haben
			
			$weapons = $stats->get('weapons');
			eval ("\$tpl_weapons = \"".$tpl->template("detail_weapons")."\";");  $tpl_weapons = phpQuery::newDocumentHTML($tpl_weapons);
			
			/* TABELLE */
			foreach ($weapons as $key => $weapon) {
				$row = "";
				
				/* Name */
				$src = $path.'stylesheets/images/'.$weapon->img;
				eval ("\$info = \"".$tpl->template("detail_weapons_info")."\";");
				$row .= '<td sort="'.$weapon->name.'" info="'.htmlspecialchars($info).'" class="tleft">'.$weapon->name.'</td>'; 
				
				/* Servicestars */
				$count = $weapon->star->count;
				$kills = $weapon->star->needed - $weapon->star->curr;
				$src = $count ? $path.'stylesheets/images/misc/servicestar.png' : $path.'stylesheets/images/misc/servicestar_trans.png';
				$tip = $tpl->phrase('star_desc'); eval ( "\$tip = \"$tip\";" );
				$row .= '<td sort="'.$weapon->star->count.'" info="'.$tip.'">'.$weapon->star->count.' <img src="'.$src.'" /></td>';
				
				/* Ranking */
				if (isset($weapon->r) AND isset($weapon->c)) {
					$name    = $weapon->name;
					$type    = $tpl->phrase("ranking_weapons");
					$rank    = $stats->form($weapon->r, Array('number', 0));
					$count   = $stats->form($weapon->c, Array('number', 0));
					$percent = $stats->form($weapon->r, Array('ratio', $weapon->c, 0, '%'));
					$value   = $stats->form($weapon->kills, Array('number', 0, "", "kills"));
					eval ("\$info = \"".$tpl->template("detail_ranking_info_short")."\";");
					
					if      ($percent["raw"] >= 0.8) { $pos = 12; }
					else if ($percent["raw"] >= 0.6) { $pos = 24; }
					else if ($percent["raw"] >= 0.4) { $pos = 36; }
					else if ($percent["raw"] >= 0.2) { $pos = 48; }
					else                             { $pos = 60; }
					
					   $row .= '<td sort="'.$percent['sort'].'" info="'.$info.'"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></td>';
				} else $row .= '<td sort="1"><div class="ezDetail-Arrows"></div></td>';
				
				/* Kit-Zugehrigkeit */
				$src = $path.'stylesheets/images/'.$kits[$weapon->kit]->img;
				$name = ucfirst($weapon->kit);
				$row .= '<td sort="'.$name.'" info="'.$name.'"><img src="'.$src.'" class="fleft ezFavs" /></td>';
				
				/* Zeit */
				$result = $weapon->time ? $stats->form($weapon->time, Array("time", "", "dynamic")) : Array('sort' => '0', 'tip' => '0 min', 'format' => '0');
				$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				
				/* Kills */
				$result = $stats->form($weapon->kills, Array('number', 0, "", "kills"));
				$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				
				/* Headshots */
				$result = $stats->form($weapon->headshots, Array('number'));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('headshots').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Headshot-Anteil */
				$result = $stats->form($weapon->headshots, Array("ratio", $weapon->kills, 0, "%"));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('headshots').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* KPM */
				$result = $stats->form($weapon->kills, Array("ratio", ($weapon->time / 60), 2));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('kills_per_minute').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Shots */
				$result = $stats->form($weapon->shots, Array('number'));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('shots').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Hits */
				$result = $stats->form($weapon->hits, Array('number'));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('hits').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Accuracy */
				$result = $stats->form($weapon->hits, Array("ratio", $weapon->shots, 0, "%"));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('accuracy').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Unlocks */
				$unlocked = 0; $unlocks = count($weapon->unlocks);
				if ($unlocks) {
					// Waffe hat Unlocks
					foreach ($weapon->unlocks as $nr => $unlock) {
						if ($unlock->curr == $unlock->needed) {
							$unlocked = $unlocked + 1;
							$left = 0;
						} else {
							$left = $unlock->needed - $unlock->curr;
							break;
						}
					}
					$tip = $left ? $tpl->phrase('unlocks_desc') : $tpl->phrase('unlocks_desc_short'); eval ( "\$tip = \"$tip\";" );
					$result = $stats->form($unlocked, Array("ratio", $unlocks, 0, "%"));
					$row .= '<td sort="'.$result['sort'].'" info="'.$tip.'">'.$result['format'].'</td>';
				} else {
					// Waffe hat keine Unlocks
					$tip = $tpl->phrase('no_unlocks_desc');
					$row .= '<td sort=" " info="'.$tip.'"> </td>';
				}
				
				
				/* Daten sammeln fr die Top-Weapon-bersicht */
				if ($weapon->kills >= 25 AND !in_array($weapon->category, $disallowed)) {
					$top['favourite'][$key] = $weapon->kills;
					$top['deadliest'][$key] = (int)round($weapon->kills / $weapon->time * 1000);
					$top['accurate'][$key]  = (int)round($weapon->hits / $weapon->shots * 1000);
					$top['dangerous'][$key] = (int)round($weapon->headshots / $weapon->kills * 1000);
				}
				
				
				/* Daten sammeln fr die ServiceStar-Fortschrittsanzeige */
				if (!in_array($weapon->category, $disallowed)) {
					if ($weapon->kills >= 100) $ssprogress['curr'] = $ssprogress['curr'] + 1;
					$ssprogress['needed'] = $ssprogress['needed'] + 1;
				}
				
				
				/* Reihe an die Tabelle hngen */
				pq('#weapons')->append('<tr kit="'.$weapon->kit.'">'.$row.'</tr>');
			}
			
			
			/* TOP-WAFFEN */
			foreach ($top as $key => $array) {
				asort($array, SORT_NUMERIC); $array = array_flip($array);
				
				if (count($array)) { // berprfen, ob fr die aktuelle Kategorie eine Waffe in Frage kommt
					$weapon = $weapons[array_pop($array)];
					
					$headline = $tpl->phrase($key.'_weapon');
					$src = $path.'stylesheets/images/'.$weapon->img;
					
					switch($key) {
						case "favourite":
							$property = $tpl->phrase("kills");
							$result =   $stats->form($weapon->kills, Array('number', 0));
							break;
						case "deadliest":
							$property = $tpl->phrase("kills_per_minute");
							$result =   $stats->form($weapon->kills, Array("ratio", ($weapon->time / 60), 2));
							break;
						case "accurate":
							$property = $tpl->phrase("accuracy");
							$result =   $stats->form($weapon->hits, Array("ratio", $weapon->shots, 0, "%"));
							break;
						case "dangerous":
							$property = $tpl->phrase("headshots");
							$result =   $stats->form($weapon->headshots, Array("ratio", $weapon->kills, 0, "%"));
							break;
					}
					
					eval ("\$cell = \"".$tpl->template("detail_weapons_top")."\";");
					pq('#ezTopWeapons')->append($cell);
				}
			}
			
			
			/* SERVICESTAR-PROGRESS */
			$curr   = $ssprogress['curr']; 
			$needed = $ssprogress['needed']; 
			$value  = $stats->form($ssprogress['curr'], Array("ratio", $ssprogress['needed'], 0, "%"), false);
			$star   = '<img src="'.$path.'stylesheets/images/misc/servicestar.png'.'" />';
			
			eval ("\$info = \"".$tpl->phrase("detail_weapons_ssprogress")."\";");
			pq('#ezWeaponsMore td:eq(0)')
				->attr('info', $info)
				->append($star.' '.$tpl->phrase("progress").': ')
				->append('<span>'.$value.'</span>');
		}
		
		
		### VEHICLES ###
		if (true) {
			$vehicles  = $stats->get('vehicles');
			$vehcats  = $stats->get('vehcats');
			
			eval ("\$tpl_vehicles = \"".$tpl->template("detail_vehicles")."\";");  $tpl_vehicles = phpQuery::newDocumentHTML($tpl_vehicles);
			
			/* TABELLE */
			foreach ($vehicles as $key => $vehicle) {
				$row = "";
				
				/* Name */
				$src = $path.'stylesheets/images/'.$vehicle->img;
				eval ("\$info = \"".$tpl->template("detail_vehicles_info")."\";");
				$row .= '<td sort="'.$vehicle->name.'" info="'.htmlspecialchars($info).'" class="tleft">'.$vehicle->name.'</td>'; 
				
				/* Kategorie-Zugehrigkeit */
				if ($vehicle->category) {
					// Fahrzeug gehrt einer "groen" Kategorie an
					$src = $path.'stylesheets/images/'.$vehcats[$vehicle->category]->img;
					$name = $vehcats[$vehicle->category]->name;
					$row .= '<td sort="'.$name.'" info="'.$name.'"><img src="'.$src.'" class="fleft ezFavs" /></td>';
				} else {
					$src = $path.'stylesheets/images/misc/defvehicle.png';
					$name = ucfirst("general");
					$row .= '<td sort="'.$name.'" info="'.$name.'"><img src="'.$src.'" class="fleft ezFavs" /></td>';
				}
				
				/* Ranking */
				if (isset($vehicle->r) AND isset($vehicle->c)) {
					$name    = $vehicle->name;
					$type    = $tpl->phrase("ranking_vehicles");
					$rank    = $stats->form($vehicle->r, Array('number', 0));
					$count   = $stats->form($vehicle->c, Array('number', 0));
					$percent = $stats->form($vehicle->r, Array('ratio', $vehicle->c, 0, '%'));
					$value   = $stats->form($vehicle->kills, Array('number', 0, "", "kills"));
					eval ("\$info = \"".$tpl->template("detail_ranking_info_short")."\";");
					
					if      ($percent["raw"] >= 0.8) { $pos = 12; }
					else if ($percent["raw"] >= 0.6) { $pos = 24; }
					else if ($percent["raw"] >= 0.4) { $pos = 36; }
					else if ($percent["raw"] >= 0.2) { $pos = 48; }
					else                             { $pos = 60; }
					
					   $row .= '<td sort="'.$percent['sort'].'" info="'.$info.'"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></td>';
				} else $row .= '<td sort="1"><div class="ezDetail-Arrows"></div></td>';
				
				/* Zeit */
				$result = $vehicle->time ? $stats->form($vehicle->time, Array("time", "", "dynamic")) : Array('sort' => '0', 'tip' => '0 min', 'format' => '0');
				$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				
				/* Kills */
				$result = $stats->form($vehicle->kills, Array('number', 0, '', 'kills'));
				$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				
				/* KPM */
				$result = $stats->form($vehicle->kills, Array("ratio", ($vehicle->time / 60), 2));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('kills_per_minute').': '.$result['format'].'">'.$result['format'].'</td>';
				
				/* Destroys */
				$result = $stats->form($vehicle->destroys, Array('number', 0));
				$row .= '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('vehicledestroyed').': '.$result['tip'].'">'.$result['format'].'</td>';
				
				
				/* Reihe an die Tabelle hngen */
				pq('#vehicles')->append('<tr>'.$row.'</tr>');
			}
			
			
			/* VEHCATS */
			// Kategorien nach Anzahl der Kills sortieren
			$categories = Array();
			foreach ($vehcats as $catname => $catobj) {
				$categories[$catname] = $catobj->kills;
			}
			asort($categories);																	// Array sortieren
			$categories['vehiclejf'] = $categories['vehiclejf'] + $categories['vehicleja'];		// Fr die korrekte Sortierung werden die Werte fr "Jet Attack" und "Jet Fighter" addiert
			unset($categories['vehicleja']);													// "Jet Attack" lschen, da es teilweise identisch mit "Jet Fighter" ist
			$categories = array_reverse($categories);											// Sortierung umkehren
			$categories = array_keys($categories);												// Schlssel als neues Array ausgeben
			
			// Kategorien einbinden
			foreach ($categories as $category) {
				$vehcat = $vehcats[$category];
				
				$headline = $tpl->phrase($category);
				$src      = $path.'stylesheets/images/'.$vehcat->img_bk;
				
				if ($category == "vehiclejf") {
					// Die Werte von "Jet Attack" und "Jet Fighter" werden addiert
					$kills = $vehcats['vehiclejf']->kills + $vehcats['vehicleja']->kills;
					$time  = $vehcats['vehiclejf']->time + $vehcats['vehicleja']->time;
				} else {
					$kills = $vehcat->kills;
					$time  = $vehcat->time;
				}
				
				$kills    = $stats->form($kills, Array('number', 0, '', 'kills'));
				$time     = $stats->form($time, Array('time', 0, 'date'));
				$score    = $stats->form($vehcat->score, Array('number', 0));
				
				/* Servicestars */
				$count = $vehcat->star->count;
				$sstarsrc = $count ? $path.'stylesheets/images/misc/servicestar.png' : $path.'stylesheets/images/misc/servicestar_trans.png';
				
				
				/* Unlocks */
				$unlocked = 0; $unlocks = count($vehcat->unlocks);
				foreach ($vehcat->unlocks as $nr => $unlock) {
					if ($unlock->curr == $unlock->needed) {
						$unlocked = $unlocked + 1;
						$left = 0;
					} else {
						$left = $unlock->needed - $unlock->curr;
						break;
					}
				}
				$tip = $left ? $tpl->phrase('unlocks_vehicles_desc') : $tpl->phrase('unlocks_desc_short'); eval ( "\$tip = \"$tip\";" );
				$result = $stats->form($unlocked, Array("ratio", $unlocks, 0, "%"));
				
				eval ("\$vehcat = \"".$tpl->template("detail_vehcats")."\";");
				pq('[name=detail_vehcats]')->append($vehcat);
			}
		}
		
		
		### EQUIPMENT ###
		if (true) {
			$equipments = $stats->get('equipment');
			eval ("\$tpl_equip = \"".$tpl->template("detail_equipment")."\";");  $tpl_equip = phpQuery::newDocumentHTML($tpl_equip);
			
			/* TABELLE */
			foreach ($equipments as $equip_key => $equip) {
				$row = "";
				
				/* Name */
				$src = $path.'stylesheets/images/'.$equip->img;
				eval ("\$info = \"".$tpl->template("detail_equipment_info")."\";");
				$row .= '<td sort="'.$equip->name.'" info="'.htmlspecialchars($info).'" class="tleft">'.$equip->name.'</td>'; 
				
				/* Kit-Zugehrigkeit */
				$src = $path.'stylesheets/images/'.$kits[$equip->kit]->img;
				$name = ucfirst($equip->kit);
				$row .= '<td sort="'.$name.'" info="'.$name.'"><img src="'.$src.'" class="fleft ezFavs" /></td>';
				
				/* Unlocks */
				if (isset($equip->unlock) AND is_object($equip->unlock)) {
					// Equipment muss freigeschalten werden
					if ($equip->unlock->curr < $equip->unlock->needed){
						// Noch nicht freigeschalten
						$needed = $equip->unlock->needed; $curr = $equip->unlock->curr;
						$left = $needed - $curr;
						$percent = $stats->form($left, Array("ratio", $needed, 0, "%")); $percent = $percent['format'];
						$name = ucfirst($equip->kit);
						
						$tip = $tpl->phrase('equip_not_unlocked');
						eval ( "\$tip = \"$tip\";" );
						
						$row .= '<td sort="0" info="'.$tip.'"><div class="texture" style="background-position: -16px -144px"></div></td>';
					} else {
						// Equipment ist freigeschalten
						$tip = $tpl->phrase('equip_is_unlocked');
						$row .= '<td sort="1" info="'.$tip.'"><div class="texture" style="background-position: 0 -144px"></div></td>';
					}
				} else {
					// Equipment ist freigeschalten
					$tip = $tpl->phrase('equip_is_unlocked');
					$row .= '<td sort="1" info="'.$tip.'"><div class="texture" style="background-position: 0 -144px"></div></td>';
				}
				
				/* Ranking */
				if (isset($equip->r) AND isset($equip->c)) {
					$name    = $equip->name;
					$type    = $tpl->phrase("ranking_equipment");
					$rank    = $stats->form($equip->r, Array('number', 0));
					$count   = $stats->form($equip->c, Array('number', 0));
					$percent = $stats->form($equip->r, Array('ratio', $equip->c, 0, '%'));
					$value   = $stats->form($equip->kills, Array('number', 0, "", "kills"));
					eval ("\$info = \"".$tpl->template("detail_ranking_info_short")."\";");
					
					if      ($percent["raw"] >= 0.8) { $pos = 12; }
					else if ($percent["raw"] >= 0.6) { $pos = 24; }
					else if ($percent["raw"] >= 0.4) { $pos = 36; }
					else if ($percent["raw"] >= 0.2) { $pos = 48; }
					else                             { $pos = 60; }
					
					   $row .= '<td sort="'.$percent['sort'].'" info="'.$info.'"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></td>';
				} else $row .= '<td sort="1"><div class="ezDetail-Arrows"></div></td>';
				
				/* Zeit */
				if ($equip->time) {
					$result = $stats->form($equip->time, Array("time", "", "dynamic"));
					$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				} else {
					$row .= '<td sort="0">0</td>';
				}
				
				/* Kills */
				$result = $stats->form($equip->kills, Array('number', 0, "", "kills"));
				$row .= '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
				
				/* Special */
				switch ($equip_key) {
					case "seqMAV": case "seqUGS":
						$row .= '<td sort="'.$equip->spots.'">'.$equip->spots.' '.$tpl->phrase("spots").'</td>';
						break;
					
					case "waeMort":
						$acc = $stats->form($equip->kills, Array("ratio", $equip->shots, 0, "%"));  $acc = $acc['format'];
						$kpm = $stats->form($equip->kills, Array("ratio", ($equip->time / 60), 2)); $kpm = $kpm['format'];
						$row .= '<td sort="'.$equip->kills.'">'.$equip->shots.' '.$tpl->phrase("shots").', '.$acc.' '.$tpl->phrase("accuracy").', '.$kpm.' '.$tpl->phrase("kpm").'</td>';
						break;
						
					case "waeClay": case "waeMine": case "waeM67": case "waeC4":
						$acc = $stats->form($equip->kills, Array("ratio", $equip->shots, 0, "%"));  $acc = $acc['format'];
						$kpm = $stats->form($equip->kills, Array("ratio", ($equip->time / 60), 2)); $kpm = $kpm['format'];
						$row .= '<td sort="'.$equip->kills.'">'.$equip->shots.' '.ucfirst($tpl->phrase("used")).', '.$acc.' '.$tpl->phrase("efficiency").', '.$kpm.' '.$tpl->phrase("kpm").'</td>';
						break;
						
					case "wasRT":
						$row .= '<td sort="'.$equip->repairs.'">'.round($equip->repairs).' '.$tpl->phrase("repairs").'</td>';
						break;
						
					case "seqRad":
						$row .= '<td sort="'.$equip->spawns.'">'.$equip->spawns.' '.ucfirst($tpl->phrase("spawns")).'</td>';
						break;
					
					case "wasDef":
						$row .= '<td sort="'.$equip->kills.'">'.$equip->revives.' '.$tpl->phrase("revives").'</td>';
						break;
					
					default:
						$row .= '<td sort="'.$equip->time.'"></td>';
						break;
				}
				
				/* Reihe an die Tabelle hngen */
				pq('#equipment')->append('<tr>'.$row.'</tr>');
			}
		}
		
		
		### AWARDS (MEDALS & RIBBONS) ###
		if (true) {
			$medals = $stats->get('medals');
			$ribbons = $stats->get('ribbons');
			$used_ribbons = Array(); // In diesem Array werden die Ribbons gespeichert, die einer Medal zugeordnet wurden und zusammen mit dieser eingeblendet wurden
			$summary = Array(        // In diesem Array werden die Werte fr die Summary gespeichert
				"medals"  => 0,
				"ribbons" => 0,
				"mvp"     => Array($ribbons['r16']->count, $ribbons['r17']->count, $ribbons['r18']->count)
			);
			
			eval ("\$tpl_awards = \"".$tpl->template("detail_awards")."\";");  $tpl_awards = phpQuery::newDocumentHTML($tpl_awards);
			
			
			/* TABELLE (Alle Medals, Ribbons zuordnen wenn mglich) */
			foreach ($medals as $medal_key => $medal) {
				$row = "";
				
				/* Count */
				$row .= '<td sort="'.$medal->count.'">'.$medal->count.'x</td>';
				$summary['medals'] = $summary['medals'] + $medal->count;
				
				/* Medal-Name */
				$src = $path.'stylesheets/images/'.$medal->img_large;
				$date = $medal->date ? date("d.m.Y", $medal->date) : $tpl->phrase("never");
				if ($medal->type == "once") {
					$curr = $stats->form($medal->curr, Array("time", "", "dynamic"), false);
					$needed = $stats->form($medal->needed, Array("time", "", "dynamic"), false);
				} else {
					$curr = $medal->curr;
					$needed = $medal->needed;
				}
				
				eval ("\$info = \"".$tpl->template("detail_medals_info")."\";");
				$row .= '<td sort="'.$medal->name.'" info="'.htmlspecialchars($info).'" class="tleft"><span class="ezDetail-Medals" style="background-position: 0px -'.((substr($medal_key, 1) - 1) * 16).'px"></span> '.ucwords(strtolower($medal->name)).'</td>';
				
				
				/* Fortschritt */
				$width  = floor(40 * $medal->curr / $medal->needed);
				$row   .= '<td sort="'.$width.'" info="'.$tpl->phrase("progress_until_next_award").':<br/>'.$curr.'/'.$needed.' '.$medal->nname.'"><div class="rankbar" style="width:40px"><div class="rankline" style="width: '.$width.'px; height:10px"></div></div></td>';
				
				
				/* Zugehriges Ribbons herausfinden */
				$related = false;
				foreach ($ribbons as $ribbon_key => $ribbon) {
					if ($medal->nname == $ribbon->name) $related = $ribbon_key;
				}
				
				/* Eigenschaften des zur Medal zugehrigen Ribbon */
				if ($related) {
					$used_ribbons[] = $related;
					
					/* Count */
					$row .= '<td sort="'.$ribbons[$related]->count.'">'.$ribbons[$related]->count.'x</td>';
					$summary['ribbons'] = $summary['ribbons'] + $ribbons[$related]->count;
					
					/* Ribbon-Name */
					$src = $path.'stylesheets/images/'.$ribbons[$related]->img_large;
					$name = $ribbons[$related]->name;
					$desc = $ribbons[$related]->desc;
					$count = $ribbons[$related]->count;
					$date = $ribbons[$related]->date ? date("d.m.Y", $ribbons[$related]->date) : $tpl->phrase("never");
					
					eval ("\$info = \"".$tpl->template("detail_ribbons_info")."\";");
					$row .= '<td sort="'.$name.'" info="'.htmlspecialchars($info).'" class="tleft"><span class="ezDetail-Ribbons" style="background-position: 0px -'.((substr($related, 1) - 1) * 12).'px"></span> '.ucwords(strtolower($name)).'</td>';
				}
				
				/* Medal hat kein zugehriges Ribbon */
				else {
					$row .= '<td sort="-1"></td>';
					$row .= '<td sort="-1"></td>';
				}
				
				
				/* Reihe an die Tabelle hngen */
				pq('#awards')->append('<tr>'.$row.'</tr>');
			}
			
			
			/* TABELLE (Ribbons, die keiner Medal zugeordnet sind) */
			foreach ($ribbons as $ribbon_key => $ribbon) {
				if (!in_array($ribbon_key, $used_ribbons)) {
					$row = '<td sort="-1"></td><td sort="-1"></td><td sort="-1"></td>';
					
					/* Count */
					$row .= '<td sort="'.$ribbon->count.'">'.$ribbon->count.'x</td>';
					$summary['ribbons'] = $summary['ribbons'] + $ribbon->count;
					
					/* Ribbon-Name */
					$src = $path.'stylesheets/images/'.$ribbon->img_large;
					$name = $ribbon->name;
					$desc = $ribbon->desc;
					$count = $ribbon->count;
					$date = $ribbon->date ? date("d.m.Y", $ribbon->date) : $tpl->phrase("never");
					
					eval ("\$info = \"".$tpl->template("detail_ribbons_info")."\";");
					$row .= '<td sort="'.$name.'" info="'.htmlspecialchars($info).'" class="tleft"><span class="ezDetail-Ribbons" style="background-position: 0px -'.((substr($ribbon_key, 1) - 1) * 12).'px"></span> '.ucwords(strtolower($name)).'</td>';
					
					pq('#awards')->append('<tr>'.$row.'</tr>');
				}
			}
			
			
			/* INFO-AREA */
			$time				= $stats->get('global', 'time');
			$rounds				= $stats->get('global', 'elo_games');
			
			$unique_medals 		= $stats->format('medals', 'awards');
			$medals_count		= $stats->form($summary['medals'], Array('number'), false);
			$medals_per_hour 	= $stats->form($summary['medals'], Array('ratio', ($time/3600), 2), false);
			
			$unique_ribbons 	= $stats->format('ribbons', 'awards');
			$ribbons_count		= $stats->form($summary['ribbons'], Array('number'), false);
			$ribbons_per_minute	= $stats->form($summary['ribbons'], Array('ratio', ($time/60), 2), false);
			$ribbons_per_round	= $stats->form($summary['ribbons'], Array('ratio', ($rounds), 2), false);
			
			$mvp_count			= $stats->form(array_sum($summary['mvp']), Array('number'), false);
			$mvp_per_round		= $stats->form(array_sum($summary['mvp']), Array('ratio', ($rounds), 2), false);
			$mvp_ranking		= $stats->get('ranking', 'mvpribbons');
			$mvp_ranking		= $stats->form($mvp_ranking->r, Array('ratio', $mvp_ranking->c, 0, "%"), false);
			$mvp_ranking		= create_ranking_info("mvpribbons", $mvp_ranking);
			
			eval ("\$tpl_awards_sum = \"".$tpl->template("detail_awards_sum")."\";");
			pq('[name=detail_awards_sum]')->append($tpl_awards_sum);
		}
		
		
		### ASSIGNMENTS ###
		if (true) {
			$dlcs = Array(
				'ezB2K' => Array('xpma01', 'xpma03', 'xpma05', 'xpma07', 'xpma09'),
				'ezCQ'  => Array('xp2ma01', 'xp2ma03', 'xp2ma05', 'xp2ma07', 'xp2ma09'),
				'ezAK'  => Array('XPACK3'),
				'ezAM'  => Array('XPACK4'),
				'ezEG'  => Array('XPACK5'),
				'ezPRE' => Array('PREMIUM')
			);
			$cells = Array(
				'ezB2K' => Array(),
				'ezCQ'  => Array(),
				'ezAK'  => Array(),
				'ezAM'  => Array(),
				'ezEG'  => Array(),
				'ezPRE' => Array()
			);
			
			
			// Template laden
			$src = $path.'stylesheets/images/assignments.jpg';
			eval ("\$tpl_assignments = \"".$tpl->template("detail_assignments")."\";");  $tpl_assignments = phpQuery::newDocumentHTML($tpl_assignments);
			
			
			// Nacheinander die DLCs bearbeiten und den HTML-Code in $cells speichern
			foreach ($dlcs as $dlcname => $groups) {
				
				// Die aufeinander aufbauenden Assignments eines DLC als Group
				foreach ($groups as $group) {
					$data = $stats->get('assignments', $group);
					
					// Die beiden aufeinander aufbauenden Assignments nacheinander in $cells speichern
					foreach ($data as $assignmentKey => $assignment) {
						// Bild
						$assigmentsrc = $path.'stylesheets/images/'.$assignment->img;
						$style = $assignment->active ? "" : "opacity: 0.6";
						
						// Unlock-Waffe bzw. Dogtag
						if ($dlcname == "ezPRE" OR $dlcname == "ezAK" OR $dlcname == "ezAM" OR $dlcname == "ezEG") {
							$info = $assignment->desc;
							$unlock = $tpl->phrase("info");
						} else {
							$unlock = $assignment->unlock;
							$weapon = $weapons[$assignment->unlockId];
							$src = $path.'stylesheets/images/'.$weapon->img;
							eval ("\$info = \"".$tpl->template("detail_weapons_info")."\";");
							$info = htmlspecialchars($info);
						}
						
						// Kriterien
						$sum = Array("curr" => 0, "needed" => 0);
						$list = "";
						foreach ($assignment->criteria as $criteriaKey => $criteria) {
							if ($criteria->needed > 1000) { // Das Kriterium Spielzeit von Sekunden in Stunden umwandeln
								$curr = round($criteria->curr / 3600, 1); $needed = $criteria->needed / 3600;
							} else {
								$curr = $criteria->curr; $needed = $criteria->needed;
							}
							
							$sum['curr']   = $sum['curr'] + $curr;
							$sum['needed'] = $sum['needed'] + $needed;
							
							$list .= '<li style="white-space: normal !important"><b>'.$curr.'</b> / '.$needed.' '.$tpl->phrase($assignmentKey.$criteriaKey);
						}
						
						// Progressbar
						$width  = floor(116 * $sum['curr'] / $sum['needed']); $width = $width."px";
						
						// HTML-Code in $cells speichern
						eval ("\$tpl_assignment_group = \"".$tpl->template("detail_assignment_group")."\";");
						$cells[$dlcname][] = $tpl_assignment_group;
					}
				}
			}
			
			
			// Den HTML-Code der Zellen in das Template laden
			phpQuery::selectDocument($tpl_assignments);
			
			pq('#ezB2K table')->append('
				<tr><td>'.$cells['ezB2K'][0].'</td><td>'.$cells['ezB2K'][1].'</td></tr>
				<tr><td>'.$cells['ezB2K'][2].'</td><td>'.$cells['ezB2K'][3].'</td></tr>
				<tr><td>'.$cells['ezB2K'][4].'</td><td>'.$cells['ezB2K'][5].'</td></tr>
				<tr><td>'.$cells['ezB2K'][6].'</td><td>'.$cells['ezB2K'][7].'</td></tr>
				<tr><td>'.$cells['ezB2K'][8].'</td><td>'.$cells['ezB2K'][9].'</td></tr>
			');
			
			pq('#ezCQ table')->append('
				<tr><td>'.$cells['ezCQ'][0].'</td><td>'.$cells['ezCQ'][1].'</td></tr>
				<tr><td>'.$cells['ezCQ'][2].'</td><td>'.$cells['ezCQ'][3].'</td></tr>
				<tr><td>'.$cells['ezCQ'][4].'</td><td>'.$cells['ezCQ'][5].'</td></tr>
				<tr><td>'.$cells['ezCQ'][6].'</td><td>'.$cells['ezCQ'][7].'</td></tr>
				<tr><td>'.$cells['ezCQ'][8].'</td><td>'.$cells['ezCQ'][9].'</td></tr>
			');
			
			pq('#ezAK table')->append('
				<tr><td>'.$cells['ezAK'][0].'</td><td>'.$cells['ezAK'][1].'</td></tr>
				<tr><td>'.$cells['ezAK'][2].'</td><td>'.$cells['ezAK'][3].'</td></tr>
				<tr><td>'.$cells['ezAK'][4].'</td></tr>
			');
			
			pq('#ezEG table')->append('
				<tr><td>'.$cells['ezEG'][0].'</td><td>'.$cells['ezEG'][1].'</td></tr>
				<tr><td>'.$cells['ezEG'][2].'</td><td>'.$cells['ezEG'][3].'</td></tr>
				<tr><td>'.$cells['ezEG'][4].'</td></tr>
			');
			
			pq('#ezAM table')->append('
				<tr><td>'.$cells['ezAM'][9].'</td><td>'.$cells['ezAM'][0].'</td></tr>
				<tr><td>'.$cells['ezAM'][6].'</td><td>'.$cells['ezAM'][2].'</td></tr>
				<tr><td>'.$cells['ezAM'][8].'</td><td>'.$cells['ezAM'][5].'</td></tr>
				<tr><td>'.$cells['ezAM'][3].'</td><td>'.$cells['ezAM'][4].'</td></tr>
				<tr><td>'.$cells['ezAM'][1].'</td><td>'.$cells['ezAM'][7].'</td></tr>
			');
			
			pq('#ezPRE table')->append('
				<tr><td>'.$cells['ezPRE'][31].'</td><td>'.$cells['ezPRE'][30].'</td></tr>
				<tr><td>'.$cells['ezPRE'][33].'</td><td>'.$cells['ezPRE'][29].'</td></tr>
				<tr><td>'.$cells['ezPRE'][32].'</td><td>'.$cells['ezPRE'][26].'</td></tr>
				<tr><td>'.$cells['ezPRE'][28].'</td><td>'.$cells['ezPRE'][25].'</td></tr>
				<tr><td>'.$cells['ezPRE'][27].'</td><td>'.$cells['ezPRE'][14].'</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>'.$cells['ezPRE'][6].'</td><td>'.$cells['ezPRE'][0].'</td></tr>
				<tr><td>'.$cells['ezPRE'][4].'</td><td>'.$cells['ezPRE'][1].'</td></tr>
				<tr><td>'.$cells['ezPRE'][5].'</td><td>'.$cells['ezPRE'][10].'</td></tr>
				<tr><td>'.$cells['ezPRE'][2].'</td><td>'.$cells['ezPRE'][11].'</td></tr>
				<tr><td>'.$cells['ezPRE'][3].'</td><td>'.$cells['ezPRE'][15].'</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>'.$cells['ezPRE'][18].'</td><td>'.$cells['ezPRE'][34].'</td></tr>
				<tr><td>'.$cells['ezPRE'][17].'</td><td>'.$cells['ezPRE'][19].'</td></tr>
				<tr><td>'.$cells['ezPRE'][16].'</td><td>'.$cells['ezPRE'][13].'</td></tr>
				<tr><td>'.$cells['ezPRE'][22].'</td><td>'.$cells['ezPRE'][23].'</td></tr>
				<tr><td>'.$cells['ezPRE'][21].'</td><td>'.$cells['ezPRE'][12].'</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
				<tr><td>'.$cells['ezPRE'][9].'</td><td>'.$cells['ezPRE'][20].'</td></tr>
				<tr><td>'.$cells['ezPRE'][24].'</td><td>'.$cells['ezPRE'][7].'</td></tr>
				<tr colspan="2"><td>'.$cells['ezPRE'][8].'</td></tr>
			');
		}
		
		
		### COOP ###
		if (true) {
			$coop  = $stats->get('coop');
			$missions = $stats->get('coopmissions');
			
			eval ("\$tpl_coop = \"".$tpl->template("detail_coop")."\";");  $tpl_coop = phpQuery::newDocumentHTML($tpl_coop);
			
			/* STATISTIK */
			foreach ($coop as $key => $value) {
				if ($key != "rank" AND $key != "mdrevives") {
					pq('#ezCoop')->append('<dt>'.$tpl->phrase($key).'</dt><dd>'.$stats->form($value, Array('number'), false).'</dd>');
				}
			}
			
			/* MISSIONS */
			foreach ($missions as $mission) {
				$name = $mission->name;
				$src = $path.'stylesheets/images/'.$mission->img;
				
				eval ("\$tpl_coop_missions = \"".$tpl->template("detail_coop_missions")."\";");  $tpl_coop_missions = phpQuery::newDocumentHTML($tpl_coop_missions);
				
				/* Tabelle mit den Schwierigkeitsstufen */
				foreach ($mission->difficulty as $difficulty => $values) {
					$date = $values->date ? date("d.m.Y", $values->date) : $tpl->phrase("never");
					
					pq('tbody')->append('<tr></tr>');
					pq('tbody > tr:last')	->append('<td class="tleft">'.$tpl->phrase($difficulty).'</td>')
											->append('<td>'.$stats->form($values->score, Array('number'), false).'</td>')
											->append('<td>'.$stats->form($values->count, Array('number'), false).'</td>')
											->append('<td>'.$date.'</td>');
				}
				
				phpQuery::selectDocument($tpl_coop);
				pq('#ezCoopmissions')->append($tpl_coop_missions);
				unset($tpl_coop_missions);
			}
		}
		
		
		### SIGNATURES ###
		if ($settings->get("signatures") == "1") {
			// Navigations-Option einblenden
			phpQuery::selectDocument($tpl_detail);
			pq('[href=signatures]')->attr("style", "display: block");
			
			// Array mit allen Signaturtypen
			$data = $func->load_settings("signatures");
			$types = Array();
			foreach ($data as $name => $value) $types[] = substr($name, 0, strpos($name, "_"));
			$types = $func->array_unique($types);
			
			// Template erzeugen
			eval ("\$tpl_signatures = \"".$tpl->template("detail_signatures")."\";");
			$tpl_signatures = phpQuery::newDocumentHTML($tpl_signatures);
			
			// Variablen
			$vars = $func->load_settings("signatures");
			
			// Signaturen einbinden
			foreach ($types as $type) {
				$url  = (empty($_SERVER['HTTPS']) ? "http://" : "https://").$_SERVER['HTTP_HOST'].str_replace("detail.php", "signatures/".$playerid."_".$type.".png", $_SERVER['PHP_SELF']);
				$bb   = "[IMG]".$url."[/IMG]";
				$html = htmlentities('<img src="'.$url.'" />');
				
				eval ("\$element = \"".$tpl->template("detail_signatures_element")."\";");
				$element = phpQuery::newDocumentHTML($element);
				
				phpQuery::selectDocument($tpl_signatures);
				pq('ul')->append($element);
			}
		} else $tpl_signatures = "";
		
		
		### AUSGABE ###
		phpQuery::selectDocument($tpl_detail);
		pq('[name=kits]')		->append($tpl_kits);
		pq('[name=scores]')		->append($tpl_scores);
		pq('[name=weapons]')	->append($tpl_weapons);
		pq('[name=vehicles]')	->append($tpl_vehicles);
		pq('[name=equipment]')	->append($tpl_equip);
		pq('[name=awards]')		->append($tpl_awards);
		pq('[name=assignments]')->append($tpl_assignments);
		pq('[name=coop]')		->append($tpl_coop);
		pq('[name=signatures]')	->append($tpl_signatures);
		
		// Post-Processing
		if ($settings->get('language') == "hebrew") pq('#ezDetail')->attr('dir', 'rtl');
		
		die ($tpl_detail);
	}
	
	echo "ERROR: No playerid given";
	
	/*
	echo "<pre>";
	var_dump($kits);
	echo $settings->get("version");
	echo "<br><br>";
	$settings->set("version", "foo");
	echo $settings->get("version");
	*/
?>