<?php
	### Klassen laden ###
	require 'tmp/sql.php';
	require 'classes/mysql.php';
	
	$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
	
	require 'plugins/phpQuery.php';
	require 'plugins/pChart.data.php';
	require 'plugins/pChart.draw.php';
	require 'plugins/pChart.image.php';
	require 'classes/settings.php';
	require 'classes/security.php';
	require 'classes/functions.php';
	require 'classes/template.php';
	
	### Klassen initialisieren ###
	$func     = new Functions();
	$secure   = new Security();
	$settings = new Settings();
	$tpl      = new Templates();
	$tpl->load_phrases("overview", true);
	$tpl->load_phrases("detail", true);
	$tpl->load_phrases("compare", true);
	$tpl->load_phrases("history", true);
	
	### Standards definieren ###
	date_default_timezone_set($settings->get("timezone"));
	$pid  = isset($_GET['pid'])  ? (int)$_GET['pid'] : false;
	$mode = isset($_GET['mode']) ? $_GET['mode'] : false;
	$from = isset($_GET['from']) ? $_GET['from'] : false;
	$to   = isset($_GET['to'])   ? $_GET['to'] : false;
	$path = ($settings->get("cms") == "standalone") ? "" : $settings->get("path");
	
	### TEMPLATE ###
	if ($pid AND !$mode) {
		// Standard-Werte
		$time = time();
		$opt = new stdClass();
		
		// berprfen wieviele Datenpunkte vorhanden sind; bei zu wenigen wird die Auswahl des Zeitraumes im Template ausgeblendet
		$sql->query('SELECT id FROM '.$sql->prefix.'history_scores_'.$pid);
		$display = $sql->count() < 15 ? "display: none;" : "";
		
		// Erster Eintrag in der Datenbank
		$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' ORDER BY id ASC LIMIT 1');
		$opt->startstamp = $sql->fetchRow("date");
		$opt->startstr = date("d.m.Y", $opt->startstamp);
		$opt->startval = "-".round(($time - $opt->startstamp) / 86400); // Eintrag ist X Tage her, wird gerundet und mit einem Minuszeichenversehen
		
		// Letzter Eintrag in der Datenbank;
		$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' ORDER BY id DESC LIMIT 1');
		$opt->endstamp = $sql->fetchRow("date");
		$opt->endstr = date("d.m.Y", $opt->endstamp);
		$opt->endval = "-".round(($time - $opt->endstamp) / 86400); // Eintrag ist X Tage her, wird gerundet und mit einem Minuszeichenversehen
		
		
		eval ("\$tpl_history = \"".$tpl->template("history")."\";");  $tpl_history = phpQuery::newDocumentHTML($tpl_history);
		die ($tpl_history);
	}
	
	
	### CHART ###
	// Spielername
	$sql->query('SELECT name FROM '.$sql->prefix.'player WHERE id = '.$pid);
	$playername = $sql->fetchRow("name");
	
	// berprfen wieviele Datenpunkte vorhanden sind
	$sql->query('SELECT id FROM '.$sql->prefix.'history_scores_'.$pid);
	
	// Nicht gengend Werte fr ein Chart
	if ($sql->count() < 15) {
		$myData = new pData();
		
		/* Hintergrund-Grafik */
		$myPicture = new pImage(870, 480, $myData, TRUE);
		$Settings = array("StartR"=>255, "StartG"=>255, "StartB"=>255, "EndR"=>255, "EndG"=>255, "EndB"=>255, "Alpha"=>60);
		$myPicture->drawGradientArea(0,0,870,480,DIRECTION_VERTICAL,$Settings);
		
		/* Text */
		$myPicture->setFontProperties(array("FontName" => "stylesheets/fonts/play-regular-webfont.ttf", "FontSize" => 14));
		$TextSettings = array("Align"=>TEXT_ALIGN_MIDDLEMIDDLE, "R"=>9, "G"=>96, "B"=>150);
		$myPicture->drawText(435, 240, $tpl->phrase("few_data"), $TextSettings);
		
		/* Bild rendern */
		$myPicture->render('tmp/history'.$pid.'.png');
	}
	
	else {
		/* Chart starten */
		$myData = new pData();
		$myData->loadPalette("plugins/pChart.color", TRUE);
		
		/* X-Achse */
		if (true) {
			if ($from == "false" AND $to == "false") {
				// Erster Eintrag und letzter Eintrag in der History
				$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' ORDER BY date ASC LIMIT 1');  $start = $sql->fetchRow("date");
				$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' ORDER BY date DESC LIMIT 1'); $end   = $sql->fetchRow("date");
			} else {
				// Start und Ende anhand der bergebenen Datums
				function timestamp($val) {
					return mktime(0, 0, 0, substr($val, 3, 2), substr($val, 0, 2), substr($val, 6, 4));
				}
				// Erster Eintrag und letzter Eintrag der Auswahl
				$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' WHERE date > "'.timestamp($from).'" ORDER BY date ASC LIMIT 1');  $start = $sql->fetchRow("date");
				$sql->query('SELECT date FROM '.$sql->prefix.'history_scores_'.$pid.' WHERE date < "'.timestamp($to).'" ORDER BY date DESC LIMIT 1');   $end   = $sql->fetchRow("date");
			}
			
			// Array mit den fnfzehn Zeiten der zu nehmenden Datenpunkten
			$dates = Array();
			$interval = ($end - $start)/ 14;
			for ($i = 0; $i <= 14; $i++) $dates[] = $start + ($i * $interval);
			
			$myData->addPoints($dates,"Absissa");
			$myData->setAbscissa("Absissa");
			$myData->setXAxisDisplay(AXIS_FORMAT_DATE, "d.m.y");
		}
		
		
		/* Stats-Array erstellen */
		if (true) {
			$stats = Array("scores" => Array(), "global" => Array(), "calc" => Array());
			$calculated = Array("spm", "kpm", "kdr", "hsr", "acc", "wlr");
			
			// Scores
			$sql->query('SHOW COLUMNS FROM '.$sql->prefix.'history_scores_'.$pid);
			while ($row = $sql->fetchRow()) {
				if ($row['Field'] != "id" AND $row['Field'] != "date") $stats['scores'][$row['Field']] = Array();
			}
			
			// Global
			$sql->query('SHOW COLUMNS FROM '.$sql->prefix.'history_global_'.$pid);
			while ($row = $sql->fetchRow()) {
				if ($row['Field'] != "id" AND $row['Field'] != "date") $stats['global'][$row['Field']] = Array();
			}
			
			// Berechnete Werte
			foreach ($calculated as $value) {
				$stats['calc'][$value] = Array();
			}
		}
		
		
		/* Daten laden und in das Stats-Array speichern */
		if (true) {
			foreach ($dates as $date) {
				// Score-Stats aus Datenbank laden und in das Stats-Array speichern
				$sql->query('SELECT * FROM '.$sql->prefix.'history_scores_'.$pid.' WHERE date >= '.$date.' LIMIT 1'); $result =  $sql->fetchAssoc();
				foreach ($stats['scores'] as $key => $value) { $stats['scores'][$key][$date] = $result[$key]; }
				
				// Global-Stats aus Datenbank laden und in das Stats-Array speichern
				$sql->query('SELECT * FROM '.$sql->prefix.'history_global_'.$pid.' WHERE date >= '.$date.' LIMIT 1'); $result =  $sql->fetchAssoc();
				foreach ($stats['global'] as $key => $value) { $stats['global'][$key][$date] = $result[$key]; }
				
				// Sonstige Werte berechnen und  in das Stats-Array speichern
				$stats['calc']['spm'][$date] = $stats['scores']['score'][$date] / $stats['global']['time'][$date] * 60;
				$stats['calc']['kdr'][$date] = $stats['global']['kills'][$date] / $stats['global']['deaths'][$date];
				$stats['calc']['acc'][$date] = $stats['global']['hits'][$date] / $stats['global']['shots'][$date] * 100;
				$stats['calc']['hsr'][$date] = $stats['global']['headshots'][$date] / $stats['global']['kills'][$date] * 100;
				$stats['calc']['wlr'][$date] = $stats['global']['wins'][$date] / $stats['global']['losses'][$date];
				$stats['calc']['kpm'][$date] = $stats['global']['kills'][$date] / $stats['global']['time'][$date] * 60;
				$stats['calc']['quits'][$date] = ($stats['global']['rounds'][$date] - $stats['global']['elo_games'][$date]) / $stats['global']['rounds'][$date] * 100;
				
				/*$stats['calc']['spm'][$date] = round($stats['calc']['spm'][$date], 0);
				$stats['calc']['kdr'][$date] = round($stats['calc']['kdr'][$date], 2);
				$stats['calc']['acc'][$date] = round($stats['calc']['acc'][$date], 1);
				$stats['calc']['hsr'][$date] = round($stats['calc']['hsr'][$date], 1);
				$stats['calc']['wlr'][$date] = round($stats['calc']['wlr'][$date], 2);
				$stats['calc']['kpm'][$date] = round($stats['calc']['kpm'][$date], 2);
				$stats['calc']['quits'][$date] = round($stats['calc']['quits'][$date], 1);*/
			}
		}
		
		
		/* Y-Achse Werte */
		if (true) {
			if ($mode == "score") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['scores']['score'], "overall_score");
				$myData->setSerieDescription("overall_score", $tpl->phrase("overall_score"));
				$myData->setSerieOnAxis("overall_score", 0);
				
				$myData->addPoints($stats['calc']['spm'], "spm");
				$myData->setSerieDescription("spm", $tpl->phrase("spm"));
				$myData->setSerieOnAxis("spm", 1);
				
				$myData->addPoints($stats['calc']['kpm'], "kpm");
				$myData->setSerieDescription("kpm", $tpl->phrase("kills_per_minute"));
				$myData->setSerieOnAxis("kpm", 2);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("score"));
				$myData->setAxisUnit(0, "");
				
				$myData->setAxisPosition(1, AXIS_POSITION_RIGHT);
				$myData->setAxisName(1, "");
				$myData->setAxisUnit(1, "");
				
				$myData->setAxisPosition(2, AXIS_POSITION_RIGHT);
				$myData->setAxisName(2, $tpl->phrase("spm").' / '.$tpl->phrase("kills_per_minute"));
				$myData->setAxisUnit(2, "");
				
				/* Skalierung */
				$spm = $stats['calc']['spm']; sort($spm);
				$kpm = $stats['calc']['kpm']; sort($kpm);
				
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0,
					"ScaleSpacing" => 0,
					"Mode" => SCALE_MODE_MANUAL,
					"ManualScale" => Array(
						0 => Array("Min" => array_shift($stats['scores']['score']), "Max" => array_pop($stats['scores']['score'])),
						1 => Array("Min" => array_shift($spm), "Max" => array_pop($spm)),
						2 => Array("Min" => array_shift($kpm), "Max" => array_pop($kpm))
					)
				);
			}
			
			else if ($mode == "kills") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['kills'], "kills");
				$myData->setSerieDescription("kills", $tpl->phrase("kills"));
				$myData->setSerieOnAxis("kills", 0);
				
				$myData->addPoints($stats['global']['deaths'], "deaths");
				$myData->setSerieDescription("deaths", $tpl->phrase("deaths"));
				$myData->setSerieOnAxis("deaths", 0);
				
				$myData->addPoints($stats['calc']['kdr'], "kdr");
				$myData->setSerieDescription("kdr", $tpl->phrase("kdr"));
				$myData->setSerieOnAxis("kdr", 1);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("kills").' / '.$tpl->phrase("deaths"));
				$myData->setAxisUnit(0, "");
				
				$myData->setAxisPosition(1, AXIS_POSITION_RIGHT);
				$myData->setAxisName(1, $tpl->phrase("kdr"));
				$myData->setAxisUnit(1, "");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
			
			else if ($mode == "accuracy") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['shots'], "shots");
				$myData->setSerieDescription("shots", $tpl->phrase("shots"));
				$myData->setSerieOnAxis("shots", 0);
				
				$myData->addPoints($stats['calc']['acc'], "acc");
				$myData->setSerieDescription("acc", $tpl->phrase("accuracy"));
				$myData->setSerieOnAxis("acc", 1);
				
				$myData->addPoints($stats['calc']['hsr'], "hsr");
				$myData->setSerieDescription("hsr", $tpl->phrase("hskillperc"));
				$myData->setSerieOnAxis("hsr", 1);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("shots"));
				$myData->setAxisUnit(0, "");
				
				$myData->setAxisPosition(1, AXIS_POSITION_RIGHT);
				$myData->setAxisName(1, $tpl->phrase("accuracy").' / '.$tpl->phrase("hskillperc"));
				$myData->setAxisUnit(1, "%");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
			
			else if ($mode == "matches") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['rounds'], "rounds");
				$myData->setSerieDescription("rounds", $tpl->phrase("roundsplayed"));
				$myData->setSerieOnAxis("rounds", 0);
				
				$myData->addPoints($stats['calc']['wlr'], "wlr");
				$myData->setSerieDescription("wlr", $tpl->phrase("wlr"));
				$myData->setSerieOnAxis("wlr", 1);
				
				$myData->addPoints($stats['calc']['quits'], "quits");
				$myData->setSerieDescription("quits", $tpl->phrase("quits"));
				$myData->setSerieOnAxis("quits", 2);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("roundsplayed"));
				$myData->setAxisUnit(0, "");
				
				$myData->setAxisPosition(1, AXIS_POSITION_RIGHT);
				$myData->setAxisName(1, "");
				$myData->setAxisUnit(1, "");
				
				$myData->setAxisPosition(2, AXIS_POSITION_RIGHT);
				$myData->setAxisName(2, $tpl->phrase("wlr").' / '.$tpl->phrase("quits"));
				$myData->setAxisUnit(2, "%");
				
				/* Skalierung */
				$rounds = $stats['global']['rounds'];
				$wlr = $stats['calc']['wlr']; sort($wlr);
				
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0,
					"ScaleSpacing" => 0,
					"Mode" => SCALE_MODE_MANUAL,
					"ManualScale" => Array(
						0 => Array("Min" => array_shift($rounds), "Max" => array_pop($rounds)),
						1 => Array("Min" => array_shift($wlr)-0.01, "Max" => array_pop($wlr)+0.01),
						2 => Array("Min" => 0, "Max" => 100)
					)
				);
			}
			
			else if ($mode == "skill") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['elo'], "elo");
				$myData->setSerieDescription("elo", $tpl->phrase("skill"));
				$myData->setSerieOnAxis("elo", 0);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("skill"));
				$myData->setAxisUnit(0, "");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
			
			else if ($mode == "vehicles") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['scores']['vehiclembt'], "vehiclembt");
				$myData->setSerieDescription("vehiclembt", $tpl->phrase("vehiclembt"));
				$myData->setSerieOnAxis("vehiclembt", 0);
				
				$myData->addPoints($stats['scores']['vehicleifv'], "vehicleifv");
				$myData->setSerieDescription("vehicleifv", $tpl->phrase("vehicleifv"));
				$myData->setSerieOnAxis("vehicleifv", 0);
				
				$myData->addPoints($stats['scores']['vehicleah'], "vehicleah");
				$myData->setSerieDescription("vehicleah", $tpl->phrase("vehicleah"));
				$myData->setSerieOnAxis("vehicleah", 0);
				
				$myData->addPoints($stats['scores']['vehiclesh'], "vehiclesh");
				$myData->setSerieDescription("vehiclesh", $tpl->phrase("vehiclesh"));
				$myData->setSerieOnAxis("vehiclesh", 0);
				
				$myData->addPoints($stats['scores']['vehiclejet'], "vehiclejet");
				$myData->setSerieDescription("vehiclejet", $tpl->phrase("vehiclejf"));
				$myData->setSerieOnAxis("vehiclejet", 0);
				
				$myData->addPoints($stats['scores']['vehicleaa'], "vehicleaa");
				$myData->setSerieDescription("vehicleaa", $tpl->phrase("vehicleaa"));
				$myData->setSerieOnAxis("vehicleaa", 0);
				
				$myData->addPoints($stats['scores']['vehicleart'], "vehicleart");
				$myData->setSerieDescription("vehicleart", $tpl->phrase("vehicleart"));
				$myData->setSerieOnAxis("vehicleart", 0);
				
				$myData->addPoints($stats['scores']['vehiclelbt'], "vehiclelbt");
				$myData->setSerieDescription("vehiclelbt", $tpl->phrase("vehiclelbt"));
				$myData->setSerieOnAxis("vehiclelbt", 0);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisName(0, $tpl->phrase("score"));
				$myData->setAxisUnit(0, "");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
			
			else if ($mode == "team") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['revives'], "revives");
				$myData->setSerieDescription("revives", $tpl->phrase("revives"));
				$myData->setSerieOnAxis("revives", 0);
				
				$myData->addPoints($stats['global']['resupplies'], "resupplies");
				$myData->setSerieDescription("resupplies", $tpl->phrase("resupplies"));
				$myData->setSerieOnAxis("resupplies", 0);
				
				$myData->addPoints($stats['global']['heals'], "heals");
				$myData->setSerieDescription("heals", $tpl->phrase("heals"));
				$myData->setSerieOnAxis("heals", 0);
				
				$myData->addPoints($stats['global']['repairs'], "repairs");
				$myData->setSerieDescription("repairs", $tpl->phrase("repairs"));
				$myData->setSerieOnAxis("repairs", 0);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisUnit(0, "");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
			
			else if ($mode == "combatstats") {
				/* Y-Achse Werte */
				$myData->addPoints($stats['global']['saviorkills'], "saviorkills");
				$myData->setSerieDescription("saviorkills", $tpl->phrase("saviorkills"));
				$myData->setSerieOnAxis("saviorkills", 0);
				
				$myData->addPoints($stats['global']['avengerkills'], "avengerkills");
				$myData->setSerieDescription("avengerkills", $tpl->phrase("avengerkills"));
				$myData->setSerieOnAxis("avengerkills", 0);
				
				$myData->addPoints($stats['global']['vehicledestroyed'], "vehicledestroyed");
				$myData->setSerieDescription("vehicledestroyed", $tpl->phrase("vehicledestroyed"));
				$myData->setSerieOnAxis("vehicledestroyed", 0);
				
				$myData->addPoints($stats['global']['vehicledestroyassist'], "vehicledestroyassist");
				$myData->setSerieDescription("vehicledestroyassist", $tpl->phrase("destroyassist"));
				$myData->setSerieOnAxis("vehicledestroyassist", 0);
				
				$myData->addPoints($stats['global']['killassists'], "killassists");
				$myData->setSerieDescription("killassists", $tpl->phrase("killassists"));
				$myData->setSerieOnAxis("killassists", 0);
				
				/* Y-Achse Skala */
				$myData->setAxisPosition(0, AXIS_POSITION_LEFT);
				$myData->setAxisUnit(0, "");
				
				$myData->setAxisPosition(1, AXIS_POSITION_RIGHT);
				$myData->setAxisUnit(1, "");
				
				/* Skalierung */
				$ScaleSettings = Array(
					"XMargin"=>0, "YMargin"=>0
				);
			}
		}
		
		
		/* Hintergrund-Grafik */
		$myPicture = new pImage(870, 480, $myData, TRUE);
		$Settings = array("StartR"=>255, "StartG"=>255, "StartB"=>255, "EndR"=>255, "EndG"=>255, "EndB"=>255, "Alpha"=>60);
		$myPicture->drawGradientArea(0,0,870,480,DIRECTION_VERTICAL,$Settings);
		
		
		/* Chart-Titel */
		$myPicture->setFontProperties(array("FontName" => "stylesheets/fonts/play-regular-webfont.ttf", "FontSize" => 14));
		$TextSettings = array("Align"=>TEXT_ALIGN_TOPLEFT, "R"=>9, "G"=>96, "B"=>150);
		$myPicture->drawText(40, 40, $playername.": ".$tpl->phrase($mode), $TextSettings);
		
		
		/* Chart-Bereich */
		$myPicture->setShadow(FALSE);
		$myPicture->setGraphArea(80,80,790,400);
		$myPicture->setFontProperties(array("R"=>0,"G"=>0,"B"=>0,"FontName"=>"stylesheets/fonts/pchart_arma_five.ttf","FontSize"=>6));
		
		
		/* Skala */
		$myPicture->drawScale($ScaleSettings);
		
		
		/* Linien */
		$Config = "";
		$myPicture->setShadow(TRUE,array("X"=>1,"Y"=>1,"R"=>50,"G"=>50,"B"=>50,"Alpha"=>10));
		$myPicture->drawSplineChart($Config);
		
		
		/* Legende */
		$Config = array("FontR"=>0, "FontG"=>0, "FontB"=>0, "FontName"=>"stylesheets/fonts/pchart_arma_five.ttf", "FontSize"=>6, "Margin"=>6, "Alpha"=>30, "BoxSize"=>5, "Style"=>LEGEND_NOBORDER, "Mode"=>LEGEND_HORIZONTAL);
		$myPicture->drawLegend(40,430,$Config);
		
		
		/* Bild rendern */
		$myPicture->render('tmp/history'.$pid.'.png');
	}
	
	
	
	/*
	echo "<pre>";
	var_dump("foo");
	echo $settings->get("version");
	echo "<br><br>";
	$settings->set("version", "foo");
	echo $settings->get("version");
	*/
?>