<?php
	### Weiterleitung auf den Installer ###
	if (!file_exists('tmp/sql.php')) {
		header("Status: 301 Moved Permanently");
		header("Location:install/");
		exit; 
	}
	
	
	### Klassen laden ###
	if (true) {
		require 'tmp/sql.php';
		require 'classes/mysql.php';
		
		$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
		
		require 'plugins/phpQuery.php';
		require 'classes/settings.php';
		require 'classes/security.php';
		require 'classes/functions.php';
		require 'classes/template.php';
		require 'classes/player.php';
		require 'classes/stats.php';
		
		
		$func = new Functions();
		$secure = new Security();
		$settings = new Settings();
		$tpl = new Templates();
		$tpl->load_phrases("overview", true);
	}
	
	
	### Allgemeine Variablen setzen ###
	if (true) {
		$func->counter();                                             // Counter starten
		$preset = $func->load_settings("settings");                   // Settings laden
		$ov = $func->load_settings("overview");                       // Settings laden
		date_default_timezone_set($preset["timezone"]);               // Zeitzone setzen
		$lastupdate = date("d.m.Y - H:i", $preset["lastcheckall"]);   // Variable fr das letzte Update aller Spieler
		$columns = $func->load_settings("overview");                  // Spalten die in der bersicht angezeigt werden knnen/sollen
	}
	
	
	### Tabellenkopf ###
	if (true) {
		$thead = phpQuery::newDocumentHTML("<thead><tr></tr></thead>");
		
		// Alle Spaltenheader erstellen, die im Leaderboard aktiviert wurden
		foreach ($columns as $name => $active) {
			if ($active) pq('tr')->append('<th>'.$tpl->phrase($name).'</th>');
		}
		
		// Sortierung umdrehen, wenn Spalte 1 "Position" enthlt
		$sortList = pq('th')->eq(0)->text() == $tpl->phrase('position') ? "[[0,0]]" : "[[0,1]]";
	}
	
	
	### Tabellenkrper ###
	if (true) {
		$tbody = phpQuery::newDocumentHTML("<tbody></tbody>");
		$summary = Array();
		$i = 0;
		
		// Die IDs aller Spieler abrufen, die eine Spielzeit > 0 haben, nicht die ID 1 haben, sortiert nach den Punkten
		$sql->query('
			SELECT p.id
			FROM '.$sql->prefix.'player p
			LEFT JOIN '.$sql->prefix.'stats_global g
				ON p.id = g.id
			LEFT JOIN '.$sql->prefix.'stats_scores s
					ON p.id = s.id
			WHERE g.time != 0
			AND p.id != 1
			ORDER BY s.score DESC
		');
		
		// Alle Spieler durchlaufen und in als Zeile in die Tabelle speichern
		while ($row = $sql->fetchAssoc()) {
			$i++;
			$td = Array();
			$stats = new Stats($row['id']);
			
			
			if ($ov['name']) {          // Spielername
				$name     = $stats->get('player', 'name');
				$nickname = $stats->get('player', 'nickname');
				$clantag  = $settings->get('clantag');
				
				if ($nickname) $name = $nickname;
				$tip = $tpl->phrase("open_detail_view"); eval ( "\$tip = \"$tip\";" );
				
				
				$path = ($preset['cms'] == "standalone") ? "" : $settings->get("path");
				$html = utf8_encode(htmlentities(
					'<h1>'.$clantag.$name.'</h1>
					<a class="fancyDetail" href="'.$path.'detail.php?pid='.$row['id'].'">'.$tpl->phrase("link_detail").'</a> | 
					<a class="fancyHistory" href="'.$path.'history.php?pid='.$row['id'].'">'.$tpl->phrase("link_history").'</a> | 
					<a href="'.$stats->get('player', 'battlelog').'" target="_blank">'.$tpl->phrase("link_battlelog").'</a> | 
					<a href="'.$stats->get('player', 'url').'" target="_blank">'.$tpl->phrase("link_bf3stats").'</a>
				'));
				$td['name'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$name.'" menu="'.$html.'"><a href="#">'.$clantag.$name.'</a></td>');
				
				
				// Alte Version: if ($preset['cms'] == "standalone") { $td['name'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$name.'" info="'.$tip.'"><a class="fancybox fancybox.ajax" href="detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>'); } else { $td['name'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$name.'" info="'.$tip.'"><a class="fancybox fancybox.ajax" href="'.$settings->get("path").'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>'); }
				
				if (!isset($summary['name'])) $summary['name'] = Array();
				$summary['name'][] = NULL;
			}
			
			if ($ov['rank']) {          // Rank-Icon
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank'));
				$td['rank'] = phpQuery::newDocumentHTML('<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['rank'])) $summary['rank'] = Array();
				$summary['rank'][] = NULL;
			}
			
			if ($ov['progress']) {      // Fortschritt
				$result = $stats->get('player', 'rank', Array('rankicon', 'progress'));
				$td['progress'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['progress'])) $summary['progress'] = Array();
				$summary['progress'][] = NULL;
			}
			
			if ($ov['rank_progress']) { // Rank-Icon & Progress-Bar
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td['rank_progress'] = phpQuery::newDocumentHTML('<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['rank_progress'])) $summary['rank_progress'] = Array();
				$summary['rank_progress'][] = NULL;
			}
			
			if ($ov['platform']) {      // Plattform-Icon
				$result = $stats->get('player', 'platform', Array('deficon', 'platform'));
				$td['platform'] = phpQuery::newDocumentHTML('<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['platform'])) $summary['platform'] = Array();
				$summary['platform'][] = NULL;
			}
			
			if ($ov['country']) {       // Country-Icon
				$result = $stats->get('player', 'country', Array('deficon', 'country'));
				$td['country'] = phpQuery::newDocumentHTML('<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['country'])) $summary['country'] = Array();
				$summary['country'][] = NULL;
			}
			
			if ($ov['links']) {         // Link-Icons
				$result = $stats->get('player', 'name', 'linkicons');
				$td['links'] = phpQuery::newDocumentHTML('<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['links'])) $summary['links'] = Array();
				$summary['links'][] = NULL;
			}
			
			if ($ov['custom1']) {       // Custon-Wert 1
				$result = $stats->get('player', 'custom1');
				$td['custom1'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result.'">'.$result.'</td>');
				
				if (!isset($summary['custom1'])) $summary['custom1'] = Array();
				$summary['custom1'][] = NULL;
			}
			
			if ($ov['score']) {         // Gesamt-Punkte
				$result = $stats->get('scores', 'score', Array('number', 0, "", "score"));
				$td['score'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['score'])) $summary['score'] = Array();
				$summary['score'][] = $result['raw'];
			}
			
			if ($ov['time']) {          // Spielzeit
				$result = $stats->get('global', 'time', Array('time', 0, 'h'));
				$td['time'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['time'])) $summary['time'] = Array();
				$summary['time'][] = $result['raw'];
			}
			
			if ($ov['spm']) {           // Score per Minute
				$time =   $stats->get('global', 'time') / 60;
				$result = $stats->get('scores', 'score', Array('ratio', $time, 0, '', 'spm'));
				$td['spm'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['spm'])) $summary['spm'] = Array();
				$summary['spm'][] = $result['raw'];
			}
			
			if ($ov['kills']) {         // Kills
				$result = $stats->get('global', 'kills', Array('number', 0, "", "kills"));
				$td['kills'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['kills'])) $summary['kills'] = Array();
				$summary['kills'][] = $result['raw'];
			}
			
			if ($ov['deaths']) {        // Deaths
				$result = $stats->get('global', 'deaths', Array('number', 0, "", "deaths"));
				$td['deaths'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['deaths'])) $summary['deaths'] = Array();
				$summary['deaths'][] = $result['raw'];
			}
			
			if ($ov['kdr']) {           // Kill-Death-Ratio
				$deaths = $stats->get('global', 'deaths');
				$result = $stats->get('global', 'kills', Array('ratio', $deaths, 2, '', 'kdr'));
				$td['kdr'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['kdr'])) $summary['kdr'] = Array();
				$summary['kdr'][] = $result['raw'];
			}
			
			if ($ov['dgt']) {           // Dogtags
				$result = $stats->get('global', 'dogtags',  Array('number', 0, "", "dgt"));
				$td['dgt'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['dgt'])) $summary['dgt'] = Array();
				$summary['dgt'][] = $result['raw'];
			}
			
			if ($ov['acc']) {           // Accuracy
				$shots =  $stats->get('global', 'shots');
				$result = $stats->get('global', 'hits', Array('ratio', $shots, 0, '%', 'acc'));
				$td['acc'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['acc'])) $summary['acc'] = Array();
				$summary['acc'][] = $result['raw'];
			}
			
			if ($ov['wins']) {          // Gewonnene Runden
				$result = $stats->get('global', 'wins', Array('number', 0, "", "wins"));
				$td['wins'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['wins'])) $summary['wins'] = Array();
				$summary['wins'][] = $result['raw'];
			}
			
			if ($ov['loss']) {          // Verlorene Runden
				$result = $stats->get('global', 'losses', Array('number', 0, "", "loss"));
				$td['loss'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['loss'])) $summary['loss'] = Array();
				$summary['loss'][] = $result['raw'];
			}
			
			if ($ov['wlr']) {           // Win-Loss-Ratio
				$loss =   $stats->get('global', 'losses');
				$result = $stats->get('global', 'wins', Array('ratio', $loss, 2, '', 'wlr'));
				$td['wlr'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['wlr'])) $summary['wlr'] = Array();
				$summary['wlr'][] = $result['raw'];
			}
			
			if ($ov['ribbons']) {       // Ribbons-Fortschritt
				$result = $stats->format('ribbons', 'awards');
				$td['ribbons'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['ribbons'])) $summary['ribbons'] = Array();
				$summary['ribbons'][] = $result['raw'];
			}
			
			if ($ov['medals']) {        // Medals-Fortschritt
				$result = $stats->format('medals', 'awards');
				$td['medals'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['medals'])) $summary['medals'] = Array();
				$summary['medals'][] = $result['raw'];
			}
			
			if ($ov['equipment']) {     // Lieblings-Equipment
				$result = $stats->format('equipment', 'favs');
				$td['equipment'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['equipment'])) $summary['equipment'] = Array();
				$summary['equipment'][] = $result['raw'];
			}
			
			if ($ov['vehcats']) {       // Lieblings-Vehcat
				$result = $stats->format('vehcats', 'favs');
				$td['vehcats'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['vehcats'])) $summary['vehcats'] = Array();
				$summary['vehcats'][] = $result['raw'];
			}
			
			if ($ov['kits']) {          // Lieblings-Kit
				$result = $stats->format('kits', 'favs');
				$td['kits'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['kits'])) $summary['kits'] = Array();
				$summary['kits'][] = "";
			}
			
			if ($ov['vehicles']) {      // Lieblings-Fahrzeug
				$result = $stats->format('vehicles', 'favs');
				$td['vehicles'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['vehicles'])) $summary['vehicles'] = Array();
				$summary['vehicles'][] = $result['raw'];
			}
			
			if ($ov['weapons']) {       // Lieblings-Waffe
				$result = $stats->format('weapons', 'favs');
				$td['weapons'] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['weapons'])) $summary['weapons'] = Array();
				$summary['weapons'][] = $result['raw'];
			}
			
			if ($ov['position']) {      // Position im Leaderboard
				$result = $stats->format($i, Array('number', 0, '', 'position'));
				$td['position'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['position'])) $summary['position'] = Array();
				$summary['position'][] = '';
			}
			
			if ($ov['skill']) {         // Skill
				$result = $stats->get('global', 'elo', Array('number', 0, "", "skill"));
				$td['skill'] = phpQuery::newDocumentHTML('<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
				
				if (!isset($summary['skill'])) $summary['skill'] = Array();
				$summary['skill'][] = $result['raw'];
			}
			
			if ($ov['last_seen']) {     // Zuletzt Online
				$name = $stats->get('player', 'name');
				$last = $stats->get('player', 'date_lastseen');
				$srv  = $stats->get('player', 'srv');
				
				// Spieler wurde noch nie online gesehen
				if (!$last) {
					eval ("\$info = \"".$tpl->phrase("last_seen_never")."\";");
					$td['last_seen'] = phpQuery::newDocumentHTML('<td sort="0" info="'.$info.'"> - </td>');
				} 
				
				// Spieler wurde online gesehen
				else {
					$date = date("d.m.Y", $last);
					$date_time = date("d.m.Y - H:i", $last);
					
					// Daten des Servers sind vorhanden
					if (is_object($srv)) {
						$srv->name = $func->shortening($srv->name, 40);
						$text = '<a href="'.$srv->url.'" target="_blank">'.$date.'</a>';
						eval ("\$info = \"".$tpl->phrase("last_seen_withserver")."\";");
						
						$td['last_seen'] = phpQuery::newDocumentHTML('<td sort="'.$last.'" info="'.$info.'">'.$text.'</td>');
					}
					
					// Daten des Servers sind nicht vorhanden
					else {
						eval ("\$info = \"".$tpl->phrase("last_seen_noserver")."\";");
						$td['last_seen'] = phpQuery::newDocumentHTML('<td sort="'.$last.'" info="'.$info.'">'.$date.'</td>');
					}
				}
				
				if (!isset($summary['last_seen'])) $summary['last_seen'] = Array();
				$summary['last_seen'][] = NULL;
			}
			
			
			// Zellen der gewnschten Reihenfolge nach in eine Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($ov as $name => $show) {
				if ($show AND isset($td[$name])) pq('tr')->append($td[$name]);
			}
			
			// Zeile an den Tabellenkrper anhngen
			phpQuery::selectDocument($tbody);
			pq('tbody')->append($tr);
		}
	}
	
	
	### Tabellenfuss ###
	if (true) {
		$tfoot = phpQuery::newDocumentHTML('<tfoot></tfoot>');
		$methods = Array('ov_averages', 'ov_median', 'ov_summary');
		
		if ($sql->count()) {
			foreach ($methods as $method) {
				if ($settings->get($method)) {
					$td = Array();
					
					if ($ov['rank']) {          // Rank-Icon
						$td['rank'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['progress']) {      // Fortschritt
						$td['progress'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['rank_progress']) {      // Fortschritt
						$td['rank_progress'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['platform']) {      // Plattform-Icon
						$td['platform'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['country']) {       // Country-Icon
						$td['country'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['name']) {          // Spielername
						$td['name'] = phpQuery::newDocumentHTML('<td>'.$tpl->phrase($method).': </td>');
					}
					
					if ($ov['links']) {         // Link-Icons
						$td['links'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['custom1']) {       // Custon-Wert 1
						$td['custom1'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['score']) {         // Gesamt-Punkte
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['score']);
							$result = $stats->format($result, Array('number', 0, "", 'score'));
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['score']);
							$result = $stats->format($result, Array('number', 0, "", 'score'));
						}
						if ($method == 'ov_summary') {
							$result = array_sum($summary['score']);
							$result = $stats->format($result, Array('number', 0, "k", 'score'));
						}
						
						
						$td['score'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['time']) {          // Spielzeit
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['time']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['time']);
						if ($method == 'ov_summary')  $result = array_sum($summary['time']);
						
						$result = $stats->format($result, Array('time', 0, 'h'));
						$td['time'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['spm']) {           // Score per Minute
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['spm']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['spm']);
						if ($method == 'ov_summary')  $result = array_sum($summary['spm']);
						
						$result = $stats->format($result, Array('number', 0, '', 'spm'));
						$td['spm'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['kills']) {         // Kills
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['kills']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['kills']);
						if ($method == 'ov_summary')  $result = array_sum($summary['kills']);
						
						$result = $stats->format($result, Array('number', 0, "", "kills"));
						$td['kills'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['deaths']) {        // Deaths
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['deaths']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['deaths']);
						if ($method == 'ov_summary')  $result = array_sum($summary['deaths']);
						
						$result = $stats->format($result, Array('number', 0, "", "deaths"));
						$td['deaths'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['kdr']) {           // Kill-Death-Ratio
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['kdr']);
							$result = $stats->format($result, Array('number', 2, '', 'kdr'));
							$td['kdr'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['kdr']);
							$result = $stats->format($result, Array('number', 2, '', 'kdr'));
							$td['kdr'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$td['kdr'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['dgt']) {           // Dogtags
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['dgt']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['dgt']);
						if ($method == 'ov_summary')  $result = array_sum($summary['dgt']);
						
						$result = $stats->format($result, Array('number', 0, '', 'dgt'));
						$td['dgt'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['acc']) {           // Accuracy
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['acc']);
							$result = $stats->format($result, Array('number', 0, '%', 'acc'));
							$td['acc'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['acc']);
							$result = $stats->format($result, Array('number', 0, '%', 'acc'));
							$td['acc'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$td['acc'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['wins']) {          // Gewonnene Runden
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['wins']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['wins']);
						if ($method == 'ov_summary')  $result = array_sum($summary['wins']);
						
						$result = $stats->format($result, Array('number', 0, '', 'wins'));
						$td['wins'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['loss']) {          // Verlorene Runden
						if ($method == 'ov_averages') $result = $func->calculate_average($summary['loss']);
						if ($method == 'ov_median')   $result = $func->calculate_median($summary['loss']);
						if ($method == 'ov_summary')  $result = array_sum($summary['loss']);
						
						$result = $stats->format($result, Array('number', 0, '', 'loss'));
						$td['loss'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
					}
					
					if ($ov['wlr']) {           // Win-Loss-Ratio
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['wlr']);
							$result = $stats->format($result, Array('number', 2, '', 'wlr'));
							$td['wlr'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['wlr']);
							$result = $stats->format($result, Array('number', 2, '', 'wlr'));
							$td['wlr'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$td['wlr'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['ribbons']) {       // Ribbons
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['ribbons']);
							$result = $stats->format($result, Array('number', 0, '%', 'ribbons'));
							$td['ribbons'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['ribbons']);
							$result = $stats->format($result, Array('number', 0, '%', 'ribbons'));
							$td['ribbons'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$td['ribbons'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['medals']) {        // Medaillen
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['medals']);
							$result = $stats->format($result, Array('number', 0, '%', 'medals'));
							$td['medals'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['medals']);
							$result = $stats->format($result, Array('number', 0, '%', 'medals'));
							$td['medals'] = phpQuery::newDocumentHTML('<td info="'.$result['tip'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$td['medals'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['equipment']) {     // Favoriten
						$td['equipment'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['vehcats']) {       // Favoriten
						$td['vehcats'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['vehicles']) {      // Favoriten
						$td['vehicles'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['weapons']) {       // Favoriten
						$td['weapons'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['kits']) {          // Favoriten
						$td['kits'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['position']) {      // Position im Leaderboard
						$td['position'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					if ($ov['skill']) {         // Skill
						if ($method == 'ov_averages') {
							$result = $func->calculate_average($summary['skill']);
							$result = $stats->format($result, Array('number', 0, "", 'skill'));
							$td['skill'] = phpQuery::newDocumentHTML('<td info="'.$tpl->phrase($method).': '.$result['format'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_median') {
							$result = $func->calculate_median($summary['skill']);
							$result = $stats->format($result, Array('number', 0, "", 'skill'));
							$td['skill'] = phpQuery::newDocumentHTML('<td info="'.$tpl->phrase($method).': '.$result['format'].'">'.$result['format'].'</td>');
						}
						if ($method == 'ov_summary') {
							$result = array_sum($summary['skill']);
							$result = $stats->format($result, Array('number', 0, "k", 'skill'));
							$td['skill'] = phpQuery::newDocumentHTML('<td></td>');
						}
					}
					
					if ($ov['last_seen']) {     // Position im Leaderboard
						$td['last_seen'] = phpQuery::newDocumentHTML('<td></td>');
					}
					
					// Zellen der gewnschten Reihenfolge nach in eine Zeile speichern
					$tr = phpQuery::newDocumentHTML('<tr></tr>');
					foreach ($ov as $name => $show) {
						if ($show AND isset($td[$name])) pq('tr')->append($td[$name]);
					}
					
					// Zeile an den Tabellenfuss anhngen
					phpQuery::selectDocument($tfoot);
					pq('tfoot')->append($tr);
				}
			}
		}
	}
	
	
	### Compare-Funktion ###
	if ($preset['ov_compare']) {
		$tpl->load_phrases("compare", true);
		eval ("\$compare = \"".$tpl->template("compare_menu")."\";");  
		
		if ($preset['cms'] != "standalone")
			$compare = str_replace('<a href="compare.php', '<a href="'.$preset['path'].'compare.php', $compare);
		
		$compare = phpQuery::newDocumentHTML($compare);
		$compareSlideDown = $sql->count() * 20; // Dauer fr die SlideDown-Funktion
	} else {
		$compare = "";
		$compareSlideDown = 0;
	}
	
	
	### Seite erzeugen und ausgeben ###
	if (true) {
		if ($preset['cms'] == "standalone") {
			eval ("\$html = \"".$tpl->template("standalone")."\";");  $html = phpQuery::newDocumentHTML($html);
			
			// Selfadd: Link einblenden, mit dem Spieler sich selbst adden knnen
			if ($preset['selfadd'] == "1") pq("#header")->prepend('<a href="admin/index.php?selfadd" class="selfadd">'.$tpl->phrase("selfadd").'</a>'); 
		} else {
			eval ("\$html = \"".$tpl->template("plugin")."\";");
			$html = str_replace('#PATH#', $preset['path'], $html);
			$html = phpQuery::newDocumentHTML($html);
			
			// Selfadd: Link einblenden, mit dem Spieler sich selbst adden knnen
			if ($preset['selfadd'] == "1") pq("#ezStats")->prepend('<a href="'.$preset["path"].'admin/index.php?selfadd" target="_blank" class="selfadd">'.$tpl->phrase("selfadd").'</a>'); 
		}
		
		pq('#ezOverview')->append($thead);
		pq('#ezOverview')->append($tfoot);
		pq('#ezOverview')->append($tbody);
		pq('#ezOverview')->prev("#ezCompare")->append($compare);
		
		
		// Postprocessing
		if (!$preset['ov_brand'])            pq('#ezBrand')->remove(); // Werbung entfernen
		if (!$preset['ov_infobox'])          pq('#ezAside')->remove(); // Infobox entfernen
		if (!$preset['ov_compare'])          pq('#ezCompare')->remove(); // Compare-Menu entfernen
		if ($preset['language'] == "hebrew") pq('#ezStats')->attr('dir', 'rtl'); // Schriftrichtung ndern bei RTL-Sprachen
		
		// Ausgabe
		header('Content-Type:text/html; charset=UTF-8');
		echo $html;
	}
?>